#!/bin/sh
cat /etc/CCcam.cfg > /tmp/CCcam.cfg
cat /etc/CCcamDATAx.cfg > /etc/CCcam.cfg
echo "" >> /etc/CCcam.cfg
grep -v '^ *$' /tmp/CCcam.cfg >> /etc/CCcam.cfg
sed -i "/^$/d " /etc/CCcam.cfg
rm -rf /tmp/CCcam.cfg
sleep 0
OUTPUT2='/tmp/server'
echo -n "Converting ....."
FS=" "      
group_number=1
cat /etc/CCcam.cfg | grep -i "^C:.*" | while read line ; do
    SERVER=$(echo $line | cut -d"$FS" -f2)
    PORT=$(echo $line | cut -d"$FS" -f3)
    USER=$(echo $line | cut -d"$FS" -f4)
    PASS=$(echo $line | cut -d"$FS" -f5)

    echo -n "."

    echo "[reader]" >> $OUTPUT2
    echo "label = $SERVER" >> $OUTPUT2
    echo "protocol = cccam" >> $OUTPUT2
    echo "device = $SERVER,$PORT" >> $OUTPUT2
    echo "user = $USER" >> $OUTPUT2
    echo "password = $PASS" >> $OUTPUT2
    echo "group = 1" >> $OUTPUT2
    echo "" >> $OUTPUT2
    echo "" >> $OUTPUT2


done

cp /tmp/server /etc/tuxbox/config/oscam.server  >/dev/null 2>&1 </dev/null &
sleep 0

rm -rf /tmp/server

exit